Skip to main content
GET
/
list
List All Reports
curl --request GET \
  --url https://api-sandbox.y.uno/v1/reports/list \
  --header 'X-Organization-Code: <x-organization-code>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"[\n    {\n       \"id\":\"5104911d-5df9-229e-8468-bd41abea1\",\n       \"type\":\"TRANSACTIONS\",\n       \"start_date\":\"2022-05-09T20:46:54.786342Z\",\n       \"end_date\":\"2022-05-09T20:46:54.786342Z\",\n       \"merchant_reference_id\":\"Merchant_report_1234\",\n       \"created_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"updated_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"expires_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"status\":\"SUCCEEDED\"\n    },\n    {\n       \"id\":\"5104911d-5df9-229e-8468-bd41abea1\",\n       \"type\":\"SETTLEMENTS\",\n       \"start_date\":\"2022-05-09T20:46:54.786342Z\",\n       \"end_date\":\"2022-05-09T20:46:54.786342Z\",\n       \"merchant_reference_id\":\"Merchant_report_1234\",\n       \"created_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"updated_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"expires_at\":\"2022-05-16T20:46:54.786342Z\",\n       \"status\":\"DOWNLOADED\"\n    }\n]"
This request can be used to list all reports. The list of objects is sorted in descending order by creation date, with the most recently created object appearing first.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Headers

X-Organization-Code
string
required

Organization code associated to the request.

Query Parameters

account_id
string

The unique identifier of the account.To request the creation of a report for all accounts, don't send this parameter. Otherwise indicate all the account_id you want to include (MAX 64; MIN 36).

page_size
integer<int32>

Limit of reports to retrieve. Default 1 and maximum 99 (MAX 2; MIN 1).

page_number
integer<int32>
default:""

Reports start page. Default 1 and maximum 10 (MAX 2; MIN 1).

start_date
string<date-time>

Reports created after and equal this date (ISO 8601 MAX 27; MIN 27).

end_date
string<date-time>

Reports created before and equal this date (ISO 8601 MAX 27; MIN 27).

Response

200

id
string
Example:

"5104911d-5df9-229e-8468-bd41abea1"

type
string
Example:

"TRANSACTIONS"

start_date
string
Example:

"2022-05-09T20:46:54.786342Z"

end_date
string
Example:

"2022-05-09T20:46:54.786342Z"

merchant_reference_id
string
Example:

"Merchant_report_1234"

created_at
string
Example:

"2022-05-16T20:46:54.786342Z"

updated_at
string
Example:

"2022-05-16T20:46:54.786342Z"

expires_at
string
Example:

"2022-05-16T20:46:54.786342Z"

status
string
Example:

"SUCCEEDED"